Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  class Power [ReplValsImpl <: ReplVals] extends AnyRef

  A class for methods to be injected into the intp in power mode.

  A class for methods to be injected into the intp in power mode.

  Definition Classes
    interpreter
- Implicits1
- Implicits2
- InternalInfo
- InternalInfoWrapper
- LowPriorityInternalInfo
- LowPriorityInternalInfoWrapper
- LowPriorityPrettifier
- MultiPrettifierClass
- PackageSlurper
- Prettifier
- PrettifierClass
- ReplUtilities
- RichInputStream
- RichReplString
- RichReplURL
- SinglePrettifierClass
- StringPrettifier
- SymSlurper

c

scala.tools.nsc.interpreter.Power

# SymSlurper 

###

#### abstract class SymSlurper extends AnyRef

Source
  Power.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
PackageSlurper
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SymSlurper
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SymSlurper()

### Abstract Value Members

1.  abstract def isFinished(): Boolean
2.  abstract def isIgnore(sym: Global.Symbol): Boolean
3.  abstract def isKeep(sym: Global.Symbol): Boolean
4.  abstract def isRecur(sym: Global.Symbol): Boolean

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SymSlurper to any2stringadd[SymSlurper] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SymSlurper, B)
   Implicit
     This member is added by an implicit conversion from SymSlurper to ArrowAssoc[SymSlurper] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(sym: Global.Symbol): Set[Global.Symbol]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def discarded: Int
10.  def ensuring(cond: (SymSlurper) ⇒ Boolean, msg: ⇒ Any): SymSlurper
    Implicit
      This member is added by an implicit conversion from SymSlurper to Ensuring[SymSlurper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (SymSlurper) ⇒ Boolean): SymSlurper
    Implicit
      This member is added by an implicit conversion from SymSlurper to Ensuring[SymSlurper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): SymSlurper
    Implicit
      This member is added by an implicit conversion from SymSlurper to Ensuring[SymSlurper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): SymSlurper
    Implicit
      This member is added by an implicit conversion from SymSlurper to Ensuring[SymSlurper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SymSlurper to StringFormat[SymSlurper] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val keep: HashSet[Global.Symbol]
22.  var lastCount: Int
23.  def loop(todo: Set[Global.Symbol]): Set[Global.Symbol]
24.  def members(x: Global.Symbol): List[Global.Symbol]
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  var pass: Int
29.  def processed: Int
30.  val seen: HashSet[Global.Symbol]
31.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  val unseenHistory: ListBuffer[Int]
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  def →[B](y: B): (SymSlurper, B)
    Implicit
      This member is added by an implicit conversion from SymSlurper to ArrowAssoc[SymSlurper] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SymSlurper to any2stringadd[SymSlurper]

### Inherited by implicit conversion StringFormat from SymSlurper to StringFormat[SymSlurper]

### Inherited by implicit conversion Ensuring from SymSlurper to Ensuring[SymSlurper]

### Inherited by implicit conversion ArrowAssoc from SymSlurper to ArrowAssoc[SymSlurper]

### Ungrouped